import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JList;
import javax.swing.JPanel;
import java.awt.BorderLayout;
import java.awt.GridLayout;

public class DiaBorder extends JFrame {

    DiaBorder() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        // Die Liste im Zentrum des Geschehens
        setLayout(new BorderLayout());
        String[] strSender = { "ARD", "ZDF", "NDR", "BR",
                               "WDR", "MDR", "SAT1", "RTL" };
        JList list = new JList(strSender);
        add(list, BorderLayout.CENTER);
        // EAST bekommt ein Panel mit eigenem BorderLayout
        JPanel rechtsPanel = new JPanel();
        rechtsPanel.setLayout(new BorderLayout());
        add(rechtsPanel, BorderLayout.EAST);
        // Der Schließbutten rechts unten
        JButton schliessButton = new JButton("Schließen");
        rechtsPanel.add(schliessButton, BorderLayout.SOUTH);
        // Die anderen Buttons in ein GridLayout oben
        JPanel buttonPanel = new JPanel();
        buttonPanel.setLayout(new GridLayout(2,1));
        rechtsPanel.add(buttonPanel, BorderLayout.NORTH);
        JButton hinzuButton = new JButton("Hinzufügen");
        JButton bearbeitenButton = new JButton("Bearbeiten");
        buttonPanel.add(hinzuButton);
        buttonPanel.add(bearbeitenButton);
        this.setSize(400, 300);
        this.setVisible(true);
    }

    public static void main(String[] args) {
       new DiaBorder();
    }
}
