import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.List;
import javax.swing.*;

public class Listen extends JFrame
                    implements ActionListener {

    JButton btLks = new JButton("<-");
    JButton btRts = new JButton("->");
    DefaultListModel<String> modellLks =
            new DefaultListModel<String>();
    DefaultListModel<String> modellRts =
            new DefaultListModel<String>();
    JList<String> listeLks;
    JList<String> listeRts;

    public static void main(String[] args) {
        new Listen();
    }

    public Listen() {
        // Baue den Inhalt der linken Liste
        String[] fuellunglks = { "Tomatensuppe",
                "Kartoffelschnee", "Gulaschsuppe",
                "Puree de pommes de terre", "Erbsensuppe" };
        for (String element : fuellunglks) {
            modellLks.addElement(element);
        }
        listeLks = new JList<String>(modellLks);
        listeRts = new JList<String>(modellRts);
        // Eine Liste braucht fast immer eine Scrollbar
        JScrollPane scrollLks = new JScrollPane(listeLks);
        JScrollPane scrollRts = new JScrollPane(listeRts);
        // mach die Buttons scharf
        btRts.addActionListener(this);
        btLks.addActionListener(this);
        // --- Baue das Layout
        // Zwei Buttons untereinander in Grid
        JPanel btPanel = new JPanel();
        btPanel.setLayout(new GridLayout(2, 1));
        JPanel panRts = new JPanel();
        // Verhindere Aufblähen durch FlowLayout
        panRts.setLayout(new FlowLayout());
        panRts.add(btRts);
        btPanel.add(panRts);
        JPanel panLks = new JPanel();
        panLks.setLayout(new FlowLayout());
        panLks.add(btLks);
        btPanel.add(panLks);
        // 3 Spalten: Liste, Buttons, Liste
        setLayout(new GridLayout(1, 3));
        this.add(scrollLks);
        this.add(btPanel);
        this.add(scrollRts);
        // Rahmen fertigstellen
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        pack(); // Zusammensetzen
        setVisible(true); // sichtbar machen
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == btLks) {
            List<String> elements =
                    listeRts.getSelectedValuesList();
            for (String element : elements) {
                modellLks.addElement(element);
                modellRts.removeElement(element);
            }
        } else if (e.getSource() == btRts) {
            List<String> elements =
                    listeLks.getSelectedValuesList();
            for (String element : elements) {
                modellRts.addElement(element);
                modellLks.removeElement(element);
            }
        }
    }
}
