import javax.swing.*;
import java.awt.BorderLayout;
import java.awt.event.*;

public class TestFocus extends JFrame implements FocusListener {
    public static void main(String[] args) {
        new TestFocus();
    }

    JTextArea anzeige;
    JTextField txtOben, txtUnten;

    public TestFocus() {
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setLayout(new BorderLayout());
        anzeige = new JTextArea();
        anzeige.setEditable(false);
        JScrollPane scrollRahmen = new JScrollPane(anzeige);
        txtOben = new JTextField();
        txtOben.addFocusListener(this);
        txtUnten = new JTextField();
        txtUnten.addFocusListener(this);
        add(scrollRahmen, BorderLayout.CENTER);
        add(txtOben, BorderLayout.NORTH);
        add(txtUnten, BorderLayout.SOUTH);
        setSize(400, 300);
        setVisible(true);
    }

    @Override
    public void focusGained(FocusEvent e) {
        if (e.getSource() == txtOben) {
            anzeige.append("Focus erhalten: txtOben\n");
        } else if (e.getSource() == txtUnten) {
            anzeige.append("Focus erhalten: txtUnten\n");
        }
    }

    @Override
    public void focusLost(FocusEvent e) {
        if (e.getSource() == txtOben) {
            anzeige.append("Focus verloren: txtOben\n");
        } else if (e.getSource() == txtUnten) {
            anzeige.append("Focus verloren: txtUnten\n");
        }
    }
}
