import javafx.application.Application;
import javafx.beans.InvalidationListener;
import javafx.beans.Observable;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class FxTextField extends Application {
    @Override
    public void start(Stage hauptStage) {
        Label label = new Label();
        VBox pane = new VBox();
        TextField eingabe = new TextField();
        eingabe.focusedProperty().addListener(new InvalidationListener() {
            @Override
            public void invalidated(Observable observable) {
                if (eingabe.isFocused()) {
                    System.out.println("Fokus bekommen");
                } else {
                    System.out.println("Fokus verloren");
                }
            }
        });
        Button ok = new Button("OK");
        ok.setOnAction(new EventHandler<ActionEvent>() {

            @Override
            public void handle(ActionEvent event) {
                label.setText(eingabe.getText());
            }

        });
        pane.getChildren().add(label);
        pane.getChildren().add(eingabe);
        pane.getChildren().add(ok);
        Scene scene = new Scene(pane, 250, 150);
        hauptStage.setScene(scene);
        hauptStage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}
