import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.CheckBox;
import javafx.scene.control.Label;
import javafx.scene.control.ToggleButton;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class FxToggleCheck extends Application
        implements EventHandler<ActionEvent> {

    public static void main(String[] args) {
        launch(args);
    }

    private Label label
            = new Label("CheckBox und ToggleButton");
    CheckBox check = new CheckBox("Check");
    ToggleButton toggle = new ToggleButton("Toggle");

    @Override
    public void start(Stage hauptStage) {
        check.setOnAction(this);
        toggle.setOnAction(this);
        VBox pane = new VBox();
        pane.getChildren().add(check);
        pane.getChildren().add(toggle);
        pane.getChildren().add(label);
        Scene scene = new Scene(pane, 250, 80);
        hauptStage.setScene(scene);
        hauptStage.show();
    }

    @Override
    public void handle(ActionEvent event) {
        String str = "CheckBox: " + check.isSelected()
                + " ToggleButton: " + toggle.isSelected();
        label.setText(str);
        if (event.getSource()==check) {
        CheckBox chk = (CheckBox) event.getSource();
        chk.setSelected(false);
        }
    }
}
