import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

public class JTable3Model extends AbstractTableModel {
    final String[] spaltenBeschriftung =
        { "String", "Double", "Integer", "Boole" };
    ArrayList<Object[]> dat = new ArrayList<Object[]>();

    public JTable3Model() {
        for (int i = 0; i < 5; i++) {
            Object[] obj = new Object[4];
            obj[0] = "";
            obj[1] = new Double(0.0);
            obj[2] = new Integer(0);
            obj[3] = new Boolean(false);
            dat.add(obj);
        }
    }

    public int getColumnCount() {
        return spaltenBeschriftung.length;
    }

    public int getRowCount() {
        return dat.size();
    }

    public String getColumnName(int col) {
        return spaltenBeschriftung[col];
    }

    public Object getValueAt(int row, int col) {
        return dat.get(row)[col];
    }

    public Class getColumnClass(int c) {
        return getValueAt(0, c).getClass();
    }

    public boolean isCellEditable(int row, int col) {
        return true;
    }

    public void setValueAt(Object value, int row, int col) {
        dat.get(row)[col] = value;
    }
}
