import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.scene.Scene;
import javafx.scene.control.ComboBox;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class FxComboBox extends Application {

    @Override
    public void start(Stage hauptStage) {
        ObservableList<String> datenliste
            = FXCollections.observableArrayList("ARD", "ZDF", "N3");
        ComboBox<String> combo = new ComboBox<String>(datenliste);
        VBox pane = new VBox();
        pane.getChildren().add(combo);
        Scene scene = new Scene(pane, 250, 80);
        hauptStage.setScene(scene);
        hauptStage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}
