import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Properties;
public class Props {
	
	public static void schreibeProps(Properties prop, String name) {
	    try {
	        FileOutputStream fos = new FileOutputStream(name);
	        prop.store(fos, "");
	        fos.close();
	    } catch (FileNotFoundException e) {
	    } catch (IOException e) {
	    }
	}

	public static Properties leseProps(String name) {
	    Properties prop = new Properties();
	    try {
	        FileInputStream fos = new FileInputStream(name);
	        prop.load(fos);
	        fos.close();
	    } catch (FileNotFoundException e) {
	    } catch (IOException e) {
	    }
	    return prop;
	}

    public static void main(String[] args) {
        Properties prop = new Properties();
        prop.setProperty("user", "isaac");
        prop.setProperty("name", "Isaac Newton");
        prop.setProperty("email", "isaac@newton.de");
        showProps(prop);
        // Speichern
        schreibeProps(prop, "props.txt");
        Properties gelesen = leseProps("props.txt");
        showProps(gelesen);
    }

	private static void showProps(Properties prop) {
        for (Object obj : prop.keySet()) {
            String key = (String) obj;
            System.out.println(key + ": "
                    + prop.getProperty(key));
        }
	}
}
