import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Properties;

public class CreateBonbonbude {
    final static String dbName = "Bonbonbude";
    final static String tableName = "Artikel";

    public CreateBonbonbude()
            throws ClassNotFoundException {
        // Binde die Datenbank Derby ein
        Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
    }

    public static void main(String args[]) {
        try {
            CreateBonbonbude bude = new CreateBonbonbude();
            Connection datenbank = bude.oeffneDB();
            bude.erzeugeTabelle(datenbank);
            datenbank.close();
        } catch (SQLException e) {
            System.out.println(e.toString());
            System.out.println(e.getSQLState());
            System.out.println(e.getErrorCode());
        } catch (ClassNotFoundException e) {
            System.out.println("Derby-Jar fehlt.");
            e.printStackTrace();
        }
    }

    public Connection oeffneDB() throws SQLException {
        // Die Verbindungseigenschaften
        Properties properties = new Properties();
        properties.put("user", "superman");
        properties.put("password", "geheim");
        // Verbindung mit automatischer Erzeugung der DB
        Connection dbConnect = DriverManager
                .getConnection(
                "jdbc:derby:" + dbName + ";create=true",
                properties);
        return dbConnect;
    }

    public void erzeugeTabelle(Connection connection)
            throws SQLException {
        // Sende SQL-Befehl zur Erzeugung der Tabelle
        Statement statement = connection.createStatement();
        statement.execute("create table " + tableName
                + " ( " + " name  varchar(32), "
                + " preis dec(10,2), "
                + " menge int " + " )");
        statement.close();
    }
}
