import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

import org.json.JSONObject;

public class JsonSpielerei {
    public static void main(String[] args) {
        Person person = new Person();
        // wir verändern nun ein paar Elemente der Person
        person.setName("Arnold Willemer");
        person.instrumente.add("Gitarre");
        person.instrumente.add("Mundharmonika");
        person.setAlter(13);
        person.sprachen.add(new Sprache("deutsch", 2));
        person.sprachen.add(new Sprache("englisch", 4));
        JSONObject personobj = new JSONObject(person);
        System.out.println(personobj.toString());
        // Die JSON-Struktur wird in eine Datei geschrieben
        try {
            FileWriter file = new FileWriter("jsontest.json");
            file.write(personobj.toString());
            file.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
        // JSON-Struktur aus Datei lesen und Duplikat erzeugen
        try {
            BufferedReader reader = new BufferedReader(
                  new FileReader("jsontest.json"));
            String zeile = "";
            String jsonString = "";
            while ((zeile = reader.readLine()) != null) {
                jsonString += zeile;
            }
            reader.close();
            Person duplikat = new Person(new JSONObject(jsonString));
            JSONObject dupobj = new JSONObject(duplikat);
            System.out.println(dupobj.toString());
        } catch (IOException e) {
            e.printStackTrace();
        }

    }
}
