import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

public class HeiratsKandidaten implements PropertyChangeListener {

    public void add(Person person) {
        person.addSingleListener(this);
    }

    @Override
    public void propertyChange(PropertyChangeEvent evt) {
        Person person = (Person) evt.getSource();
        System.out.println(person.getName()
                + " Attribut: "
                + evt.getPropertyName() + " bisher: "
                + evt.getOldValue() + " nun: "
                + evt.getNewValue());

    }
}
