package vasen;

public class Verpacker {

    private boolean bereitsAktiv = false;
    private Karton karton;
    
    public Verpacker(Karton karton) {
        this.karton = karton;
    }

    // public void verpacke() {
    public synchronized void verpacke() {
        if (bereitsAktiv) {
            System.out.println("Klirr");
        } else {
            bereitsAktiv = true;
            karton.verbraucheKarton();
            System.out.print("Verpacke...");
            try {
                Thread.sleep(100);
            } catch (InterruptedException e) {
            }
            System.out.println("...Verpackt");
        }
        bereitsAktiv = false; // fertig!
    }
}

