import javax.swing.*;
import java.awt.*;

public class KleineGrafik extends JFrame {

    public static void main(String[] args) {
        new KleineGrafik(); // Löse Konstruktor aus!
    }

    // Der Konstruktor bereitet das Fenster vor
    public KleineGrafik() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setTitle("Zeichnen mit Java");
        setSize(400, 300);
        setVisible(true);
    }

    @Override
    public void paint(Graphics g) {
        // Ermittle die Größe der nutzbaren Zeichenfläche
        Insets insets = getInsets();
        int links  = insets.left;
        int oben   = insets.top;
        int breite = getWidth()-insets.left-insets.right;
        int hoehe  = getHeight()-insets.top-insets.bottom;
        // Fenster freimachen
        g.clearRect(links, oben, breite-1, hoehe-1);
        // Male ein möglichst großes, gelb gefülltes Oval
        g.setColor(Color.yellow);
        g.fillOval(links, oben, breite-1, hoehe-1);
        // Zeichne einen schwarzen Rand um das Oval
        g.setColor(Color.black);
        g.drawOval(links, oben, breite-1, hoehe-1);
        // Beschrifte es nett!
        String meldung  = "Hallo Swing!";
        g.drawString(meldung, breite/2, hoehe/2);
    }
}
