import java.awt.Color;
import java.awt.Graphics;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class Nougat extends JFrame {

    public static void main(String[] args) {
        new Nougat();
    }

    public Nougat() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setTitle("Nougat-Schmiercreme");
        setSize(400, 300);
        add(new NougatPanel());
        setVisible(true);
    }

    class NougatPanel extends JPanel {
        @Override
        public void paint(Graphics g) {
            int breite = getWidth();
            int hoehe = getHeight();
            int fett = 32;
            int zucker = 55;
            int eiweiss = 7;
            int summe = fett + zucker + eiweiss;
            final int vollkreis = 360;
            fett = fett * vollkreis / summe;
            zucker = zucker * vollkreis / summe;
            eiweiss = eiweiss * vollkreis / summe;
            g.setColor(Color.yellow);
            g.fillArc(0, 0, breite, hoehe, 0, fett);
            g.setColor(Color.magenta);
            g.fillArc(0, 0, breite, hoehe, fett+1, eiweiss);
            g.setColor(Color.blue);
            g.fillArc(0, 0, breite, hoehe, fett+eiweiss+2,
                    zucker);
        }
    }
}
