package application;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;

public class Main extends Application {

	@Override
	public void start(Stage primaryStage) {
		Label lblMeldung = new Label("Bermuda");
		BermudaCanvas pane = new BermudaCanvas(lblMeldung);
		Button btNeuSpiel = new Button("Neues Spiel");
		btNeuSpiel.setOnAction(new EventHandler<ActionEvent>() {
			@Override
			public void handle(ActionEvent event) {
				pane.neuesSpiel();
			}
		});
		try {
			BorderPane root = new BorderPane();
			// pane = new BermudaPane(lblMeldung);
			root.setCenter(pane);
			root.setTop(lblMeldung);
			root.setBottom(btNeuSpiel);
			Scene scene = new Scene(root);
			primaryStage.setScene(scene);
			primaryStage.show();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		launch(args);
	}
}
