import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class MausKlicker extends JFrame implements MouseListener {

    public static void main(String[] args) {
        MausKlicker fenster = new MausKlicker();
        fenster.setTitle("Sommersprossen mit Java");
        fenster.setSize(400, 300);
        fenster.setVisible(true);
    }

    public MausKlicker() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        addMouseListener(this);
    }

    int posX; // X-Koordinate der Mausposition
    int posY; // Y-Koordinate der Mausposition

    public void paint(Graphics g) {
        g.setColor(Color.RED);
        g.fillOval(posX-4, posY-4, 8, 8);
    }

    @Override
    public void mouseClicked(MouseEvent e) {
        posX = e.getX();
        posY = e.getY();
        repaint();
    }

    @Override
    public void mousePressed(MouseEvent e) {
    }
    @Override
    public void mouseReleased(MouseEvent e) {
    }
    @Override
    public void mouseEntered(MouseEvent e) {
    }
    @Override
    public void mouseExited(MouseEvent e) {
    }
}
