import javax.swing.*;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.*;

public class DinnerParty extends JFrame implements ActionListener {
    public static void main(String[] args) {
        new DinnerParty();
    }

    JTextArea anzeige;
    JCheckBox chkSchoen, chkMeier, chkFischer;
    JButton zeig;
    String[] gaeste = {"Fischer", "Meier", "Schmidt", "Müller"};
    JCheckBox[] check;

    public DinnerParty() {
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setLayout(new BorderLayout());
        JPanel butPanel = new JPanel();
        butPanel.setLayout(new GridLayout(0,1));
        anzeige = new JTextArea();
        anzeige.setEditable(false);
        // Schiebebalken um Anzeige
        JScrollPane scrollRahmen = new JScrollPane(anzeige);
        add(scrollRahmen, BorderLayout.CENTER);
        check = new JCheckBox[gaeste.length];
        for (int i=0; i<gaeste.length; i++) {
            check[i] = new JCheckBox(gaeste[i]);
            check[i].addActionListener(this);
            butPanel.add(check[i]);
        }
        zeig = new JButton("Zeig' mal!");
        zeig.addActionListener(this);
        butPanel.add(zeig);
        add(butPanel, BorderLayout.LINE_START);
        setSize(600, 300);
        setVisible(true);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == check[0]
                && check[0].isSelected()) {
            check[2].setSelected(false);
        } else  if (e.getSource()==check[1]
                && check[1].isSelected()) {
            check[3].setSelected(false);
        } else  if (e.getSource()==check[2]
                && check[2].isSelected()) {
            check[0].setSelected(false);
        } else  if (e.getSource()==check[3]
                && check[3].isSelected()) {
            check[1].setSelected(false);
        } else  if (e.getSource()==zeig) {
            String str = "";
            for (int i=0; i<gaeste.length; i++) {
                if (check[i].isSelected()) {
                    str += gaeste[i] + "\n";
                }   
            }
            anzeige.setText(str);
        }
    }
}
