import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.ComboBox;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class FxComboBox extends Application {

    @Override
    public void start(Stage hauptStage) {
        ObservableList<MeineKlasse> meineDaten
                = FXCollections.observableArrayList();
        meineDaten.add(new MeineKlasse(10, "Aktiv"));
        meineDaten.add(new MeineKlasse(20, "Faul"));
        meineDaten.add(new MeineKlasse(30, "Tot"));
        ComboBox<MeineKlasse> comboBox
                = new ComboBox<MeineKlasse>(meineDaten);
        comboBox.setOnAction(new EventHandler<ActionEvent>() {
            @Override
            public void handle(ActionEvent event) {
                ComboBox<MeineKlasse> cb
                        = (ComboBox<MeineKlasse>) event.getSource();
                MeineKlasse mk = cb.getValue();
                int index = cb.getSelectionModel().getSelectedIndex();
                System.out.println("index: "+index+" Wert: "+mk);
            }
        });
        VBox pane = new VBox();
        pane.getChildren().add(comboBox);
        Scene scene = new Scene(pane, 250, 80);
        hauptStage.setScene(scene);
        hauptStage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}
