package application;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;

public class Main extends Application {
    @Override
    public void start(Stage stage) {
        try {
            BorderPane borderpane = new BorderPane();
            Scene scene = new Scene(borderpane,400,400);
            scene.getStylesheets().add(getClass()
                    .getResource("application.css")
                    .toExternalForm());
            stage.setScene(scene);
            stage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {
        launch(args);
    }
}
