import java.util.ArrayList;

import org.json.JSONArray;
import org.json.JSONObject;

public class JsonWrite {
	
	static Vokabel createVok(String frage, String antwort) {
		Vokabel vok = new Vokabel();
		vok.setFrage(frage);
		vok.setAntwort(antwort);
		vok.getZuletzt().setJahr(2018);
		return vok;
	}
	
	public static void main(String[] args) {
        ArrayList<Vokabel> vokabeln = new ArrayList<Vokabel>();
        vokabeln.add(createVok("Uhr", "clock"));
        vokabeln.add(createVok("Katze", "Igitt"));
        JSONArray jlist = new JSONArray();
        for (Vokabel vokabel : vokabeln) {
        	jlist.put(new JSONObject(vokabel));
        }
        JSONObject jkasten = new JSONObject();
        jkasten.put("vokabelkasten", jlist);
        String jvokkasten = jkasten.toString();
        
        System.out.println(jvokkasten);

        JSONObject vokkasten = new JSONObject(jvokkasten);
        JSONArray voks = vokkasten.getJSONArray("vokabelkasten");
        for (int i=0; i<voks.length(); i++) {
        	JSONObject jvok = (JSONObject) voks.get(i);
        	Vokabel vok = new Vokabel(jvok);
        	System.out.println(vok);
        }        
	}
}
