import org.json.JSONObject;

public class Vokabel {
    private Datum zuletzt = new Datum();
    private String frage;
    private String antwort;
    private int fachnr=1;
    
    public Vokabel() {
    }
    
    public Vokabel(JSONObject obj) {
    	this.frage   = obj.getString("frage");
    	this.antwort = obj.getString("antwort");
    	this.fachnr  = obj.getInt("fachnr");
    	this.zuletzt = new Datum((JSONObject)obj.get("zuletzt"));
    }
    
    public Datum getZuletzt() {
		return zuletzt;
	}

	public void setZuletzt(Datum zuletzt) {
		this.zuletzt = zuletzt;
	}

	public String getFrage() {
		return frage;
	}

	public void setFrage(String frage) {
		this.frage = frage;
	}

	public String getAntwort() {
		return antwort;
	}

	public void setAntwort(String antwort) {
		this.antwort = antwort;
	}

	public int getFachnr() {
		return fachnr;
	}

	public void setFachnr(int fachnr) {
		this.fachnr = fachnr;
	}
    
    public String toString() {
        return ""+frage+"/"+antwort+"("+fachnr+")"
           	+"["+zuletzt.getTag()+"."+zuletzt.getMonat()+"."
            +zuletzt.getJahr()+"]";
    }
}
