import java.util.ArrayList;
import java.util.List;

public class GlockenJoin implements Runnable {

	private String meldung = "";
	private int anzahl = 0;
	private long zeit = 0;
	static List<Thread> gelaeut = new ArrayList<Thread>();

	public GlockenJoin(String meldung, 
			int anzahl, long zeit) {
		
		this.meldung = meldung;
		this.anzahl = anzahl;
		this.zeit = zeit;
	}

	@Override
	public void run() {
		for (int i = 0; i < anzahl; i++) {
			try {
				Thread.sleep(zeit);
				System.out.println(meldung);
			} catch (InterruptedException e) {
			}
		}
	}

	public static void main(String[] args) {
		gelaeut.add(new Thread(new GlockenJoin(
				"bing", 10, 600)));
		gelaeut.add(new Thread(new GlockenJoin(
				"  bang", 15, 400)));
		gelaeut.add(new Thread(new GlockenJoin(
				"    bong", 8, 800)));
		for (Thread thread : gelaeut) {
			thread.start();
		}
		for (Thread thread : gelaeut) {
			try {
				thread.join();
			} catch (InterruptedException e) {
			}
		}
		System.out.println("Geläute zu Ende");
	}
}
