import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class WebLeser {

    public static void main(String[] args) {
        String adresse = "http://www.willemer.de";
        String charset = "UTF-8";
        try {
        	URL url = new URL(adresse);
        	HttpURLConnection httpVerbindung =
                    (HttpURLConnection) url.openConnection();
            httpVerbindung.setRequestProperty("Accept-Charset", charset);
            httpVerbindung.setRequestMethod("GET");
            InputStream inStream = httpVerbindung.getInputStream();
            BufferedReader in = new BufferedReader(
                    new InputStreamReader(inStream));
            String empfangeneZeile;
            StringBuffer antwort = new StringBuffer();
            while ((empfangeneZeile = in.readLine()) != null) {
                antwort.append(empfangeneZeile+"\n");
            }
            in.close();
            System.out.println(antwort.toString());
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
