package socket;

import java.io.DataInputStream;
import java.io.IOException;
import java.io.PrintStream;
import java.net.Socket;

public class Client {

    public static void main(String[] args) {
        Socket socket = null;
        try {
            System.out.println("Client sendet");
            socket = new Socket("localhost", 33030);

            PrintStream output = new PrintStream(
                        socket.getOutputStream());
            output.println("Hab' mich lieb, Julia!");
            System.out.println("Gesendet... Client wartet");

            DataInputStream input = new DataInputStream(
                        socket.getInputStream());
            String str = input.readLine();
            System.out.println("Empfangen: " + str);
            input.close();
            output.close();
            socket.close();
        } catch (IOException e) {
            System.out.println("IOProbleme...");
            e.printStackTrace();
        }
    }
}
